# Parse networking

[![Parse Networking](http://i.imgur.com/ypacU8R.png)](http://parse.ws)

Parse networking is a framework for socket.io which allows you to easily create a room-based websocket application.
### Installation
Install the dependencies and devDependencies.

```sh
$ npm install --save parse-networking
```

### Basic example

```javascript
const express = require('express');
const http = require('http');
const parseNetwork = require('parse-networking');

var app = express();
var server = http.Server(app);
var parse = parseNetwork(server);

parse.on('connection', socket => {
    console.log(socket.id, 'connected.');
});

server.listen(3000, console.log('running on :3000'));
```

### Documentation
See [Parse.ws](http://parse.ws) for the complete documentation.